/*
SKOKOVI
=======

Mirko se navukao na skijake skokove i raznorazne teorije zavjere, te je poeo sumnjati u ispravnost raunanja ocjena skijakih skokova. Zato moli vas da mu pomognete u tom zadatku.
Ukupna ocjena jednog skoka se sastoji od zbroja dviju komponenata.
  Pet sudaca ocjenjuje skok ocjenama za stil  svaka od pet ocjena je prirodni broj od 1 do 20. Odbacuje se najmanja i najvea ocjena, te se preostale tri zbroje i pridodaju ukupnoj ocjeni skijaa.
  Mjeri se duljina skoka u metrima. Na doletitu postoji kritina toka, a ovisno o veliini skakaonice ona je uvijek ili na 90 ili na 120 metara. Skijau je cilj skoiti to dalje, a bodovi se raunaju tako da skija dobije 60 bodova ako je skoio tono na kritinu toku, za svaki metar vie dobije 2 dodatna boda, a za svaki metar manje gubi 2 boda. Na primjer, ako je kritina toka na 120 metara i skija je skoio 93 metra, osvojit e 60-(27*2)=6 bodova, a ako skoi 123 metra onda osvaja 60+(3*2)=66 bodova.
Napiite program koji, za zadane bodove sudaca i duljinu skoka, odreuje koliko je ukupno bodova osvojio skija.

ULAZNI PODACI:
U prvom redu nalazi se prirodni broj K  pozicija kritine toke. Broj K je uvijek ili 90 ili 120.
U drugom redu nalazi se prirodni broj D (D ? 200) koji oznaava duljinu skoka u metrima.
U treem redu nalazi se tono pet prirodnih brojeva manjih ili jednakih od 20 koji predstavljaju bodove sudaca.

IZLAZNI PODACI:
U prvi i jedini red potrebno je ispisati broj ukupan bodova koji je skaka osvojio.
Napomena: Primijetite da ukupan broj bodova moe biti negativan.

PRIMJER:
ulaz
120
130
4 15 11 20 10
izlaz
116

ili

ulaz
120
111
15 15 10 10 20
izlaz
82

ili

ulaz
90
10
1 2 3 4 5
izlaz
-91
*/


#include <stdio.h>
#include <stdlib.h>

int main() {
  int k;  // kritina toka 90 ili 120
  int d;  // duljina skoka u metrima (d<=200)
  int bodoviSudaca[5];  // bodovi <= 20
  int min, max, stil, ukupno, nasaoMin, nasaoMax, i;
      min = max = stil = ukupno = nasaoMin = nasaoMax = 0;

  printf("Unesite poziciju kriticne tocke 90 ili 120: ");
  scanf("%d", &k);
  printf("Unesite duljinu skoka do 200m: ");
  scanf("%d", &d);
  printf("OCJENE SUDACA 1-20:\n");
  for(i=0; i<5; i++) {
    printf("Ocjena %d: ", i+1);
    scanf("%d", &bodoviSudaca[i]);
  }

  // Trazim min i max
  min = bodoviSudaca[0];
  max = bodoviSudaca[0];
  for(i=0; i<5; i++) {
    if(bodoviSudaca[i] < min) min = bodoviSudaca[i];
    if(bodoviSudaca[i] > max) max = bodoviSudaca[i];
  }

  // Racunam bodove sudaca
  for(i=0; i<5; i++) {
    if((bodoviSudaca[i] == min) && (!nasaoMin)){
      nasaoMin = 1;
      continue;
    }
    if((bodoviSudaca[i] == max) && (!nasaoMax)){
      nasaoMax = 1;
      continue;
    }
    stil = stil + bodoviSudaca[i];
  }
  
  // Racunam ukupan broj bodova
  ukupno = 60 + ((d-k)*2) + stil;

  printf("Ukupan broj bodova: %d\n", ukupno);

  system("pause");
  return 0;
}